Bug 22119 - Add price formatting in circulation
Summary: Add price formatting in circulation
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on:
Blocks: 22112
  Show dependency treegraph
 
Reported: 2019-01-13 08:58 UTC by Katrin Fischer
Modified: 2019-02-25 09:47 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22119: Add price formatting in more places in circulation (3.18 KB, patch)
2019-01-13 09:18 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22119: Add price formatting in more places in circulation (3.26 KB, patch)
2019-01-15 02:08 UTC, Jasmine Amohia
Details | Diff | Splinter Review
Bug 22119: Add price formatting in more places in circulation (3.31 KB, patch)
2019-02-08 16:48 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-01-13 08:58:29 UTC

    
Comment 1 Katrin Fischer 2019-01-13 09:18:55 UTC
Created attachment 83839 [details] [review]
Bug 22119: Add price formatting in more places in circulation

This adds some missing Price filters to some places in circulation.
To check verify the amount are displayed according to setting
of CurrencyFormat (use FR or CH for seeing a change)

Use a patron account with no pending fines at the beginning
for all tests.

1)
- Switch RentalFeesCheckoutConfirmation to "Ask"
- Check out an item with a rental charge
- Verify message is formatted correctly:
  Rental charge for this item: ...

2)
- Switch RentalsInNoissuesCharge to "Don't include"
- Make sure patron has only Rental fines on their account
- Check out another item
- Verify message is formatted correctly:
  The patron has unpaid charges for holds, rentals etc ...

3)
- Switch BatchCheckouts to "Allow"
- Add the patron category of your test patron to BatchCheckoutsValidCategories
- Checkout any item
- Verify the message in the information column is formatted correctly:
  The patron has unpaid charges for holds, rentals etc of ...
Comment 2 Jasmine Amohia 2019-01-15 02:08:19 UTC
Created attachment 83921 [details] [review]
Bug 22119: Add price formatting in more places in circulation

This adds some missing Price filters to some places in circulation.
To check verify the amount are displayed according to setting
of CurrencyFormat (use FR or CH for seeing a change)

Use a patron account with no pending fines at the beginning
for all tests.

1)
- Switch RentalFeesCheckoutConfirmation to "Ask"
- Check out an item with a rental charge
- Verify message is formatted correctly:
  Rental charge for this item: ...

2)
- Switch RentalsInNoissuesCharge to "Don't include"
- Make sure patron has only Rental fines on their account
- Check out another item
- Verify message is formatted correctly:
  The patron has unpaid charges for holds, rentals etc ...

3)
- Switch BatchCheckouts to "Allow"
- Add the patron category of your test patron to BatchCheckoutsValidCategories
- Checkout any item
- Verify the message in the information column is formatted correctly:
  The patron has unpaid charges for holds, rentals etc of ...

Signed-off-by: Jasmine Amohia <jasmineamohia.student@wegc.school.nz>
Comment 3 Katrin Fischer 2019-01-15 06:16:54 UTC
Thx, Jasmine!
Comment 4 Martin Renvoize 2019-02-08 16:48:29 UTC
Created attachment 84885 [details] [review]
Bug 22119: Add price formatting in more places in circulation

This adds some missing Price filters to some places in circulation.
To check verify the amount are displayed according to setting
of CurrencyFormat (use FR or CH for seeing a change)

Use a patron account with no pending fines at the beginning
for all tests.

1)
- Switch RentalFeesCheckoutConfirmation to "Ask"
- Check out an item with a rental charge
- Verify message is formatted correctly:
  Rental charge for this item: ...

2)
- Switch RentalsInNoissuesCharge to "Don't include"
- Make sure patron has only Rental fines on their account
- Check out another item
- Verify message is formatted correctly:
  The patron has unpaid charges for holds, rentals etc ...

3)
- Switch BatchCheckouts to "Allow"
- Add the patron category of your test patron to BatchCheckoutsValidCategories
- Checkout any item
- Verify the message in the information column is formatted correctly:
  The patron has unpaid charges for holds, rentals etc of ...

Signed-off-by: Jasmine Amohia <jasmineamohia.student@wegc.school.nz>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2019-02-08 16:49:01 UTC
$Price, $Price, $Price...

Passing QA
Comment 6 Nick Clemens 2019-02-11 18:40:03 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-02-12 13:15:13 UTC
Pushed to 18.11.x for 18.11.03
Comment 8 Lucas Gass 2019-02-14 22:59:09 UTC
backported to 18.05.x for 18.05.09
Comment 9 Fridolin SOMERS 2019-02-25 09:47:33 UTC
I prefer not to push formatting changes to 17.11.x